summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-03-06 20:54:47 +0100
committerMichał Górny <mgorny@gentoo.org>2020-03-06 20:55:42 +0100
commit300052eb0cc92486dbff9df7c9e18233af7a0ffd (patch)
treeb49195875a088e9e2884f37a49a4a8b7012d11ef /sys-kernel
parentsys-kernel/gentoo-kernel-bin: Bump to 5.4.24 (diff)
downloadgentoo-300052eb0cc92486dbff9df7c9e18233af7a0ffd.tar.gz
gentoo-300052eb0cc92486dbff9df7c9e18233af7a0ffd.tar.bz2
gentoo-300052eb0cc92486dbff9df7c9e18233af7a0ffd.zip
sys-kernel/gentoo-kernel-bin: Bump to 5.5.8
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/gentoo-kernel-bin/Manifest2
-rw-r--r--sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.5.8.ebuild46
2 files changed, 48 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel-bin/Manifest b/sys-kernel/gentoo-kernel-bin/Manifest
index 8afe4e11fb8..bdf332387dd 100644
--- a/sys-kernel/gentoo-kernel-bin/Manifest
+++ b/sys-kernel/gentoo-kernel-bin/Manifest
@@ -8,5 +8,7 @@ DIST gentoo-kernel-5.4.24-1.amd64.xpak 64896666 BLAKE2B eb639ca7776e1b2094620e71
DIST gentoo-kernel-5.4.24-1.x86.xpak 56510472 BLAKE2B 68c715db0815024e31c9a460b30a5bce3df32eba50a4f5f8a20107a7ea5ee2ec75b4179e38e5f1128a6be824bcff41c2e646240836f9ea5f8881b9bdfc752657 SHA512 8b7a2af3d63aac259dd1c40c7a2cd39deeac179508796f93ac5208c2f396f5f3bcb269cea395f5c4687898e8606d9053c793e05624abdba7548b4fa5c2013cb0
DIST gentoo-kernel-5.5.7-1.amd64.xpak 65766080 BLAKE2B 05732adba34cadc43b602a929469de656c57a2ae74ebd2d5d1c40312887f8889ac2768d53dbd58eb1b49dadd1f4a15bb6efcaf425294aa206b05952c1752a831 SHA512 bbeaa28894c7629085686f77d3a211a304c59bbcc66974dc476c74128312b6ecd094fcb399cc8f56fa1ba3f14aed2c174bd408799acf540cab39bb8eade22c01
DIST gentoo-kernel-5.5.7-1.x86.xpak 57160779 BLAKE2B 6323263bea0671d0d6939404b934d756f5f4c71912e128bdc2c5521b9f84d561af5a56853ebd8b24d53d3cb0a3e13c4df993a6f802f6f2ddbc07dd0a46763d31 SHA512 7bca175b60ab30ce4558db614b33bd694566322a5d7b4ed9efea82ad2cd37e3f45b45a922ed927739c20e74dc0753eb153bcc7439595dbdfd61ac1aace831d9a
+DIST gentoo-kernel-5.5.8-1.amd64.xpak 65789134 BLAKE2B bf55be87d32899d885a04fe7106989b3aa3f4b97b0bee5d32a9cb8c699a00a9e75c4b2db48c67a2d0d558d0f549cf9aff12658b73fe723fda2fdd902f373e696 SHA512 3d1017d8dabf8cf9faad16f21165dd27c8d68cef88722d4b7aa57d4ffb0ba9f4d9cd11a0455ad948bc7b7331ccdd216ee68fce4fd733c993806e33b33fd85a5f
+DIST gentoo-kernel-5.5.8-1.x86.xpak 57175448 BLAKE2B 1685c8d61a709af22fa95432e6801e64c9a18157a302840f347035c60e6792c2056f66037a9a7126b02f7db7975a5ddd868b130eb1ca1e5fb5758d5943ca860d SHA512 07c2599dd7719699b8fdcabb31e78ac8978dadfff5a2ed2eeca7a0dae70b613e02187d7d8e67eb851a0ae4eed7c98191cb9c28ed2a86db5ac659ca62d20107b9
DIST tinycorelinux-10.1-amd64.qcow2 16842752 BLAKE2B e013e76503c335739a9623c0901ca791937a0e6b177854535cadec1e2c2cd2df588283ed3128cf652595f32264fbfe5b3bd3a8c97665fd4da344e308535be366 SHA512 c3aeb20ff8769da9211694b7f701907cc7ae7582cdfad2c2fdc008d97ebcbd9dc08245b4e8f8450e1cb304bd705345a11fe79f901a47979fee91443841d55641
DIST tinycorelinux-10.1-x86.qcow2 14876672 BLAKE2B 3c760eb7438b13261e52ecfaa33a53649ced95f1ab40aae52134b8cdc31a16d7aa0d6a6dd716e268ed148e9d77a10b7c700b141b61d70c82d271ffe88e8e2a3c SHA512 9964538dc42f232a11949f74b61d46422ea5da3bdc253a217119bd0b8a750c40fd2da0b07157067be9ac0226472614f210a1248114df0d331df390979867a895
diff --git a/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.5.8.ebuild b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.5.8.ebuild
new file mode 100644
index 00000000000..68ca59b5735
--- /dev/null
+++ b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.5.8.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-install
+
+MY_P=${P/-bin/}-1
+DESCRIPTION="Pre-built Linux kernel with genpatches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+="
+ amd64? (
+ https://dev.gentoo.org/~mgorny/binpkg/amd64/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.amd64.xpak
+ )
+ x86? (
+ https://dev.gentoo.org/~mgorny/binpkg/x86/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.x86.xpak
+ )"
+S=${WORKDIR}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ !sys-kernel/gentoo-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+
+QA_PREBUILT='*'
+
+src_unpack() {
+ ebegin "Unpacking ${MY_P}.${ARCH}.xpak"
+ tar -x < <(xz -c -d --single-stream "${DISTDIR}/${MY_P}.${ARCH}.xpak")
+ eend ${?} || die "Unpacking ${MY_P} failed"
+}
+
+src_test() {
+ kernel-install_test "${PV}" \
+ "${WORKDIR}/usr/src/linux-${PV}/$(kernel-install_get_image_path)" \
+ "lib/modules/${PV}"
+}
+
+src_install() {
+ mv * "${ED}" || die
+}